<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>Virtual Teacher</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<body>
<nav class="navbar navbar-expand navbar-light bg-light justify-content-end">
    <a class="navbar-brand col-sm-3" th:href="@{/home}">Virtual Teacher</a>
    <input class="form-control col-sm-6" type="search" placeholder="Search topic, course & teachers" aria-label="Search" style="display:inline;">
    <div class="col-sm-3 text-right">
        <a class="btn btn-link" th:href="@{/login}" sec:authorize="isAnonymous()">Login</a>
        <a class="btn btn-primary" th:href="@{/register}" sec:authorize="isAnonymous()">JOIN NOW</a>
    </div>
</nav>
<div class="container">
    <form th:action="@{/courses/new}" th:object="${course}" method="post" enctype="multipart/form-data">
        <div class="row mt-3">
            <div class="col-sm-8">
                <div class="form-group">
                    <input type="text" class="form-control" placeholder="Course Title" th:field="*{title}">
                </div>
                <div class="form-group">
                    <select class="form-control" th:field="*{topic.id}">
                        <option th:each="t : ${topics}"
                                th:value="${t.id}"
                                th:text="${t.topic}">
                        </option>
                    </select>
                </div>
                <div class="form-group">
                    <textarea class="form-control rounded-0" rows="8" placeholder="Course Description" th:field="*{description}"></textarea>
                </div>
            </div>
            <div class="col-sm-4 float-center">
                <input type="submit" class="btn btn-primary btn-block" value="Save"/>
                <img src="https://picsum.photos/400/300" class="rounded img-fluid mt-3" alt="...">
            </div>
        </div>
        <hr>
        <div class="row mt-3 form-group">
            <h2>Program</h2>
            <textarea class="form-control rounded-0" rows="20" th:field="*{program}"></textarea>
        </div>
        <div class="row mt-3 form-group">
            <h2>Image</h2>
            <input type="file" class="form-control-file rounded-0" name="file" />
        </div>
    </form>


</div>
</body>
</html>